#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------
## Daniel Wollschlger <dwoll [at] psychologie.uni-kiel.de>
## ergnzende Befehle zum Buch "Grundlagen der Datenanalyse mit R" (Springer)
## http://www.uni-kiel.de/psychologie/dwoll/r/
## Stand: 10.03.11
##
## Vgl. Abschnitt 4.1, um die folgenden Befehle auszufhren.
##
## Um alle Teile des Skripts ausfhren zu knnen, muss das Paket
## Hmisc samt Abhngigkeiten installiert sein, vgl. Abschnitt 1.2.7:
##
## install.packages("Hmisc", repos="http://ftp5.gwdg.de/pub/misc/cran/")
#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------

##### 11.5.2 In beliebige Diagrammbereiche zeichnen
library(Hmisc)
op <- par(xpd=NA, oma=c(2, 2, 2, 2))
plot(rnorm(10), xlab=NA, ylab=NA, pch=20)
pt1 <- cnvrt.coords(0, 0, input="fig")
pt1$usr
points(pt1$usr, pch=4, lwd=5, cex=5, col="darkgray")
text(pt1$usr$x + 0.5, pt1$usr$y, adj=0, label="Kreuz links-unten Figure-Region", cex=1.5)

pt2 <- cnvrt.coords(c(0.05, 0.95), c(0.95, 0.05), input="tdev")
pt2$usr
arrows(x0=pt2$usr$x[1], y0=pt2$usr$y[1],
       x1=pt2$usr$x[2], y1=pt2$usr$y[2], lwd=4, code=3, angle=90, lend=2, col="darkgray")
text(pt2$usr$x[1] + 0.5, pt2$usr$y[1], adj=0, label="Pfeil ber gesamte Device-Region", cex=1.5)
par(op)

## entferne die (ggf. automatisch) geladenen Zusatzpakete, sofern mglich
try({
detach(package:Hmisc)
detach(package:survival)
detach(package:splines) })
