#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------
## Daniel Wollschlger <dwoll [at] psychologie.uni-kiel.de>
## ergnzende Befehle zum Buch "Grundlagen der Datenanalyse mit R" (Springer)
## http://www.uni-kiel.de/psychologie/dwoll/r/
## Stand: 10.03.11
##
## Vgl. Abschnitt 4.1, um die folgenden Befehle auszufhren.
##
## Um alle Teile des Skripts ausfhren zu knnen, muss das Paket
## vegan samt Abhngigkeiten installiert sein, vgl. Abschnitt 1.2.7:
##
## install.packages("vegan", repos="http://ftp5.gwdg.de/pub/misc/cran/")
#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------

##### 2.11.2 Diversitt kategorialer Daten
## Daten erstellen wie in 2.11.1
myLetters      <- sample(LETTERS[1:5], 12, replace=TRUE)
letFac         <- factor(myLetters, levels=LETTERS[1:5])
levels(letFac) <- c(levels(letFac), "Q"); letFac
## fr Daten des Abschnitts diese Datei laden:
# load("data_myLetters.Rdata")

letFac
P  <- nlevels(letFac)
Fj <- prop.table(table(letFac))
library(vegan)
shannonIdx <- diversity(t(Fj))
(H <- (1/log(P)) * shannonIdx)

keep <- Fj > 0
-(1/log(P)) * sum(Fj[keep] * log(Fj[keep]))

## entferne die (ggf. automatisch) geladenen Zusatzpakete, sofern mglich
try({
detach(package:vegan)
detach(package:permute) })
