#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------
## Daniel Wollschlger <dwoll [at] psychologie.uni-kiel.de>
## ergnzende Befehle zum Buch "Grundlagen der Datenanalyse mit R" (Springer)
## http://www.uni-kiel.de/psychologie/dwoll/r/
## Stand: 17.12.10
##
## Vgl. Abschnitt 4.1, um die folgenden Befehle auszufhren.
##
## Um alle Teile des Skripts ausfhren zu knnen, muss das Paket
## mvtnorm samt Abhngigkeiten installiert sein, vgl. Abschnitt 1.2.7:
##
## install.packages("mvtnorm", repos="http://ftp5.gwdg.de/pub/misc/cran/")
#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------

#####---------------------------------------------------------------------------
##### 11.5.10 Rastergraphiken
pxSq   <- 6
colsR  <- rep(0.4, pxSq^2)
colsG  <- rep(seq(0, 1, length.out=pxSq), pxSq)
colsB  <- rep(seq(0, 1, length.out=pxSq), each=pxSq)
arrSq  <- array(c(colsR, colsG, colsB), c(pxSq, pxSq, 3))
sqIm   <- as.raster(arrSq)

pxGab  <- 500
alpha  <- 0.5
beta   <- min(1-alpha, 1+alpha)
freq   <- 3.5
vals   <- rep(seq(-2*pi, 2*pi, length.out=pxGab), pxGab)
x      <- matrix(vals, nrow=pxGab, byrow=TRUE)
y      <- matrix(vals, nrow=pxGab, byrow=FALSE)
phi    <- alpha*x + beta*y
cosMat <- 0.5*cos(freq*phi) + 0.5

library(mvtnorm)
mu       <- c(0, 0)
sigma    <- diag(2)*10
gaussVal <- dmvnorm(cbind(c(x), c(y)), mu, sigma)
gaussMat <- matrix(gaussVal, nrow=pxGab) / max(gaussVal)
gabIm    <- as.raster(cosMat*gaussMat)

dev.new(width=7, height=7)
plot(c(0, 1), c(0, 1), type="n", main="Bitmaps", xlab="", ylab="", asp=1)
rasterImage(sqIm,  0,   0,   0.3, 0.3, angle=0,  interpolate=FALSE)
rasterImage(gabIm, 0.4, 0.3, 1,   0.9, angle=10, interpolate=TRUE)

## entferne die (ggf. automatisch) geladenen Zusatzpakete, sofern mglich
tryCatch(detach(package:mvtnorm))
