#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------
## Daniel Wollschlger <dwoll [at] psychologie.uni-kiel.de>
## ergnzende Befehle zum Buch "Grundlagen der Datenanalyse mit R" (Springer)
## http://www.uni-kiel.de/psychologie/dwoll/r/
## Stand: 19.05.11
##
## Vgl. Abschnitt 4.1, um die folgenden Befehle auszufhren.
##
## Um alle Teile des Skripts ausfhren zu knnen, mssen die Pakete
## car, ICSNP samt Abhngigkeiten installiert sein, vgl. Abschnitt 1.2.7:
##
## install.packages("car", "ICSNP", repos="http://ftp5.gwdg.de/pub/misc/cran/")
#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------

##### 10.6.4 Univariate Varianzanalyse mit abhngigen Gruppen multivariat auswerten
## Daten erstellen wie in 7.4
N     <- 10
P     <- 4
id    <- factor(rep(1:N, times=P))
IV    <- factor(rep(1:P,  each=N))
DV_t1 <- round(rnorm(N, -0.3, 1), 2)
DV_t2 <- round(rnorm(N, -0.2, 1), 2)
DV_t3 <- round(rnorm(N,  0.1, 1), 2)
DV_t4 <- round(rnorm(N,  0.4, 1), 2)
DV    <- c(DV_t1, DV_t2, DV_t3, DV_t4)
## fr Daten des Buches diese Datei laden:
# load("data_rbpN.Rdata")

DV      <- cbind(DV_t1, DV_t2, DV_t3, DV_t4)
diffMat <- combn(1:P, 2, function(x) { DV[ , x[1]] - DV[ , x[2]] } )
DVdiff  <- diffMat[ , 1:(P-1)]
muH0    <- rep(0, ncol(DVdiff))

library(ICSNP)
HotellingsT2(DVdiff, mu=muH0)

fitRBp   <- lm(DV ~ 1)
intraRBp <- data.frame(IV=gl(P, 1))

library(car)
AnovaRBp <- Anova(fitRBp, idata=intraRBp, idesign=~IV)
summary(AnovaRBp, multivariate=TRUE, univariate=FALSE)

## entferne die (ggf. automatisch) geladenen Zusatzpakete, sofern mglich
try({
detach(package:car)
detach(package:survival)
detach(package:splines)
detach(package:nnet)
detach(package:MASS)
detach(package:ICSNP)
detach(package:ICS)
detach(package:survey)
detach(package:mvtnorm) })
