#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------
## Daniel Wollschlger <dwoll [at] psychologie.uni-kiel.de>
## ergnzende Befehle zum Buch "Grundlagen der Datenanalyse mit R" (Springer)
## http://www.uni-kiel.de/psychologie/dwoll/r/
## Stand: 10.03.11
##
## Vgl. Abschnitt 4.1, um die folgenden Befehle auszufhren.
##
## Um alle Teile des Skripts ausfhren zu knnen, muss das Paket
## QuantPsyc samt Abhngigkeiten installiert sein, vgl. Abschnitt 1.2.7:
##
## install.packages("QuantPsyc", repos="http://ftp5.gwdg.de/pub/misc/cran/")
#####---------------------------------------------------------------------------
#####---------------------------------------------------------------------------

##### 6.3.4 Moderierte Regression
## Daten erstellen wie in 7.3
N      <- 100
height <- rnorm(N, 175, 7)
age    <- rnorm(N,  30, 8)
sport  <- abs(rnorm(N, 60, 30))
weight <- 0.5*height - 0.3*age - 0.4*sport + 10 + rnorm(N, 0, 3)
## fr Daten des Abschnitts diese Datei laden:
# load("data_multRegrN.Rdata")

heightC <- c(scale(height, center=TRUE, scale=FALSE))
ageC    <- c(scale(age,    center=TRUE, scale=FALSE))
fitHAi  <- lm(weight ~ heightC + ageC + heightC:ageC)
summary(fitHAi)

library(QuantPsyc)
sim.slopes(fitHAi, ageC)

coeffs <- coefficients(fitHAi)
b0     <- coeffs[1]
b1     <- coeffs[2]
b2     <- coeffs[3]
b3     <- coeffs[4]

b0 + b2*(mean(ageC) - sd(ageC))
b0 + b2* mean(ageC)
b0 + b2*(mean(ageC) + sd(ageC))
b1 + b3*(mean(ageC) - sd(ageC))
b1 + b3* mean(ageC)
b1 + b3*(mean(ageC) + sd(ageC))

## entferne die (ggf. automatisch) geladenen Zusatzpakete, sofern mglich
try(detach(package:QuantPsyc))
